EDIT - feature request #10261

Avoid type designation type selection dialogue

03/04/2023 05:21 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.36

Severity: normal

Description

The current selection dialogue for type designation types (name type designation or specimen type designation) is not necessary as
the type designation type depends on the rank class. Names higher then species should use name type designations, others should

use specimen type designations.

According to WHK there are very few exceptions. These can be handled with the workaround to change the rank of the name after

adding the type.

Associated revisions

Revision 5ca01306 - 03/04/2023 05:23 PM - Andreas Miiller

ref #10261 and rank class to name reference in registration DTO

Revision d4182635 - 03/04/2023 05:37 PM - Andreas Miiller

fix #10261 remove type designation type selection dialogue

History

#1 - 03/04/2023 05:57 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 70

Applied in changeset cdm-vaadin|d418263585cad48dcee5c576fb57a758b3022¢3b.

#2 - 03/04/2023 05:58 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Wolf-Henning Kusber

please review

#3 - 03/05/2023 09:44 AM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Miiller

- % Done changed from 70 to 100

Reviewed. Thanks, works as expected. Ticket can be closed.

#4 - 03/05/2023 10:35 AM - Andreas Mdiller

- Status changed from Resolved to Closed

#5 - 03/20/2023 03:37 PM - Andreas Miiller

- Target version changed from Release 5.44 to Release 5.36
